module Scenes.Test.Types where

import Control.Concurrent.STM

import qualified Data.Vector as V

-- internal imports

import Types

data Test = Test
  { testMap :: TMVar LevelMap
  , testGraphics :: TMVar GLAssets
  , testLoaded :: TVar Bool
  , testStageSet :: TVar (V.Vector StageSet)
  , testCast :: TVar (V.Vector Cast)
  }

data GLAssets = GLAssets
  { glVA :: VertexArray
  , glVB :: VertexBuffer
  , glIB :: IndexBuffer
  , glSP :: Shader
  , glTx :: [Texture]
  }
